Page MenuHomePhabricator

Tooltip for unselected paragraphs (No. 7)
Closed, ResolvedPublic2 Story Points

Description

Motivation
The paragraph edit icon is deactivated, as long as its paragraph is not selected. Users should get an explanation if they try to edit the paragraph anyways

Task

  • Add a tooltip that appears when hovering over the edit icon or clicking the deactivated icon. It says Before you can edit this version, select it by clicking on the corresponding button in the middle.

Notes

  • We can probably rely on OOUI for the click. If that is not possible, let's just do the hover

Event Timeline

Hanna_Petruschat_WMDE changed the task status from Open to Stalled.May 27 2018, 9:43 PM
Hanna_Petruschat_WMDE created this task.
Lea_WMDE updated the task description. (Show Details)May 28 2018, 8:48 AM
Vvjjkkii renamed this task from Tooltip for unselected paragraphs (No. 7) to l6baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii changed the task status from Stalled to Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from l6baaaaaaa to Tooltip for unselected paragraphs (No. 7).Jul 2 2018, 3:37 PM
CommunityTechBot changed the task status from Open to Stalled.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Lea_WMDE changed the task status from Stalled to Open.Jul 4 2018, 3:04 PM
Lea_WMDE triaged this task as Normal priority.
Lea_WMDE updated the task description. (Show Details)
WMDE-Fisch set the point value for this task to 2.Jul 5 2018, 8:39 AM
Andrew-WMDE moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2018-11-06 board.

Change 472144 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/TwoColConflict@master] Show a tooltip/popup when hovering over a disabled edit button

https://gerrit.wikimedia.org/r/472144

Change 472144 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Show a tooltip/popup when hovering over a disabled edit button

https://gerrit.wikimedia.org/r/472144

Lea_WMDE closed this task as Resolved.Nov 22 2018, 11:40 AM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2018-11-06 board.